void change3p(int busca, void Anim)

        
{ 



    

       void self         = getlocalvar("self"); 
       void parent       = getentityproperty(self, "parent");
       void parentmodel  = getentityproperty(parent, "model");
       void phealth      = getentityproperty(parent, "health");


       

        
        
        
        
        

         

         if(parentmodel==busca)
                    {

                       changeentityproperty(self, "animation", openborconstant(Anim));
                    }
        

}


